Subject: Re: [codec] 答复: some questions about current Opus

From: Koen Vos <[email-masked]>
Date: Wed, 24 Nov 2010 02:31:04 +0100 (CET)

Hi Hubert, 

Correct, the encoder's packet loss setting controls the amount of in-band FEC, and also the inter-frame dependency on the long-term prediction state. 
I don't have any test results that I can share, but I will create some using PESQ - good idea. True (subjective) MOS values is of course more work. 

best, 
koen. 

From: "Hubert Hu" <[email-masked]> 
To: "Koen Vos" <[email-masked]> 
Cc: [email-masked] 
Sent: Tuesday, November 23, 2010 4:50:59 PM 
Subject: 答复: [codec] some questions about current Opus 

Hi, Koen, 

As I know, we can set different packet loss rate in SILK’s in-band FEC. Do we get any number on how these settings cat affect the quality of voice? Such as the MOS value… 

Best Regards, 

Hubert Hu 

发件人 : [email-masked] [mailto:[email-masked]] 代表 Koen Vos 
发送时间 : Monday, November 22, 2010 4:58 PM 
收件人 : Hubert Hu 
抄送 : [email-masked] 
主题 : Re: [codec] some questions about current Opus 

Hi Hubert, 

The current version of Opus supports the following sampling rates: 
- 8, 12, 16 kHz for the SILK mode 
- 32, 48 kHz for the hybrid mode 
- 32, 48 kHz for the CELT mode (soon also 8 and 16 kHz). 

SILK FEC is indeed not working right now. It was temporarily disabled when SILK started using CELT's range coder. SILK FEC will be enabled again within the next few weeks. 

best, 
koen. 

From: "Hubert Hu" <[email-masked]> 
To: [email-masked] 
Sent: Monday, November 22, 2010 12:23:05 AM 
Subject: [codec] some questions about current Opus 

Hi, all, 

I am a newcomer in this mail list and get some questions about current Opus developing phase. Thanks for your help in advance. 

1) From the “draft-ietf-codec-opus-01.pdf”(date: 2010-11-13), it said that: current Opus still just could support 48KHz. When will Opus support other sample rate such as 16K? 

2) In the code of opus_encode, it seems that Opus could support FEC. But it seems that it does not work now. When will Opus support FEC for “SILK only mode”? 

Waiting for your response. 

Best Regards, 

Hubert Hu 

_______________________________________________ 
codec mailing list 
[email-masked] 
https://www.ietf.org/mailman/listinfo/codec